These docs are for v2.2023.0401. Click to read the latest docs for v2.2026.0101.

List Receipts

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Minimum Plan Required: Comp

Filter Parameter Restrictions

ParameterTypeDescription
receipt_date[gte]ISO8601 Format Date time.receipt_date[gte] cannot be greater than 90 days in the past. If the value is greater than 90 days in the past a 400 error will be returned.
modified_sinceISO8601 Format Date time.

modified_since cannot be greater than 90 days in the past. f the value is greater than 90 days in the past a 400 error will be returned.

Receipts with a receipt_date greater than 90 days in the past will not be included in the result set.

Sample Response

{
    "data": [
        {
            "id": "2811d1f2-de7b-4ed5-9b4b-f6e21332eafe",
            "company_id": 165819,
            "location_id": 210363,
            "pos_id": 4,
            "receipt_id": "8ae8f784-4d61-420f-bc6c-19b8406c82eb",
            "receipt_date": "2022-12-31T21:00:43+00:00",
            "net_total": 517,
            "gross_total": 517,
            "tips": 0,
            "total_receipt_discounts": 0,
            "total_item_discounts": 0,
            "external_user_id": null,
            "revenue_center": null,
            "receipt_lines": [],
            "tip_details": [],
            "status": "closed",
            "created_date": "2022-12-31T22:24:19+00:00",
            "modified_date": "2023-01-01T00:25:28+00:00"
        },
        {
            "id": "3e470209-a7e9-4ed4-8e73-28538f42a89d",
            "company_id": 165819,
            "location_id": 210363,
            "pos_id": 4,
            "receipt_id": "37b0f237-e779-45e3-a8a6-0c82cba931fa",
            "receipt_date": "2022-12-31T21:01:54+00:00",
            "net_total": 3729,
            "gross_total": 3729,
            "tips": 0,
            "total_receipt_discounts": 0,
            "total_item_discounts": 0,
            "external_user_id": null,
            "revenue_center": null,
            "receipt_lines": [],
            "tip_details": [],
            "status": "closed",
            "created_date": "2022-12-31T22:24:19+00:00",
            "modified_date": "2023-01-01T00:25:28+00:00"
        }
    ],
    "meta": {
        "cursor": {
            "current": null,
            "prev": null,
            "next": "eyJpZCI6MTkwNTU4NjgzMCwibmV4dCI6dHJ1ZX0=",
            "count": 2
        }
    },
    "object": "receipts"
}
Path Params
int64
required

Company ID

Query Params
int64
required

Location ID

date-time

Return receipts that were created on or after a specific date

date-time

Return receipts that were created on or before a specific date

date-time

Return receipts that were modified on or after a specific date

string
enum

Filter receipts by status type

Allowed:
string
[a-z0-9-]+

Filter receipts by external user id

string

An opaque cursor for the next or previous result set.

int64
1 to 100
Defaults to 100

The number of results desired per page.

Headers
string
^\d{4}-\d{2}-\d{2}$

7shifts API version

uuid

Company GUID

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json